/*
 * Class MANAGED_POINTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_152 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_152 [] = {0xFF01,237,151,0xFFFF};
static const EIF_TYPE_INDEX egt_2_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_3_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_6_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_7_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_152 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_152 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_152 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_152 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_13_152 [] = {0xFF01,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_152 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_15_152 [] = {0xFF01,495,185,0xFFFF};
static const EIF_TYPE_INDEX egt_16_152 [] = {0xFF01,745,212,0xFFFF};


static const struct desc_info desc_152[] = {
	{EIF_GENERIC(NULL), 6022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_152), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_152), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_152), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_152), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_152), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_152), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_152), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_152), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_152), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_152), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_152), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_152), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x012F /*151*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_152), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1703, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1713, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1715, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1716, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1717, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1719, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1720, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1722, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1723, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1733, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1734, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1735, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1743, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1748, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6026, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 6029, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 6030, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 5935, 0},
	{EIF_NON_GENERIC(0x018B /*197*/), 5938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 5939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 5940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 5941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 5942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 5943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 5945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 5946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 5948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 5949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 5950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 5951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 5952, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_152), 5953, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_152), 5954, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_152), 5955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5961, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 5976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 5977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 5978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 5979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 5980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 5981, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 5983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 5984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 5985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5986, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5988, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5994, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 5996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 5997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 5998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 5999, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 6000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 6001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 6003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 6004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 6005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6006, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6008, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6012, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6014, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_152), 6019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 6020, 12},
	{EIF_GENERIC(NULL), 6021, 0xFFFFFFFF},
};
void Init152(void)
{
	IDSC(desc_152, 0, 151);
	IDSC(desc_152 + 1, 1, 151);
	IDSC(desc_152 + 32, 206, 151);
	IDSC(desc_152 + 34, 323, 151);
	IDSC(desc_152 + 84, 261, 151);
}


#ifdef __cplusplus
}
#endif
